Bug 444406 - Make rpmts_Run discriminate between fatal errors and package errors
Make rpmts_Run discriminate between fatal errors and package errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 05:10 EDT by Anders Blomdell
Modified: 2009-01-09 01:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:26:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Discriminate between low level failures and script failures (611 bytes, patch)
2008-04-28 05:10 EDT, Anders Blomdell
no flags Details | Diff

  None (edit)
Description Anders Blomdell 2008-04-28 05:10:46 EDT
Description of problem:

rpmts_Run in rpm-4.4.2.2/python/rpmts-py.c doesn't discriminate between fatal
errors (like disc errors), and errors encountered during script execution.

Version-Release number of selected component (if applicable):

rpm-4.4.2.2

How reproducible:

Always

Steps to Reproduce:
1. Run this script as an ordinary user with xwnc uninstalled (can be changed to
any other convenient package):

----------------- snip --------------------
#!/usr/bin/python

import yum, os, sys

my = yum.YumBase()
my.conf.basecachedir = '/tmp/user_yum_cache'
if not os.path.exists(my.conf.basecachedir):
    os.makedirs(my.conf.basecachedir)
my.conf.cache = 0
my.repos.setCacheDir(my.conf.basecachedir)

my.install(name='xwnc')
my.resolveDeps()
my.processTransaction()

---------------- snip -------------------------
  
Actual results:

Running rpm_check_debug

Expected results:

Error indicating that /var/lib/rpm/__db.000 could not be written.

Additional info:
Comment 1 Anders Blomdell 2008-04-28 05:10:46 EDT
Created attachment 303949 [details]
Discriminate between low level failures and script failures
Comment 2 Jeff Johnson 2008-05-18 13:02:02 EDT
errno is insufficient information to discriminate between low-level <-> script failures.

Sure you can check errno, but you are likely to see many many false positive. E.g. some
system calls "working as expected" fail and set errno.
Comment 3 Bug Zapper 2008-11-26 05:35:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:26:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.